import { GameRecordCard, SpiralAbyss, GenshinUser, RealTimeNotes, Charcters, TravelerDiary, DailyRewards, Activities, RedeemCode, TCG } from "../routes";
import { ClientCookieManager } from "./clientCookieManager";
import { Language } from "../constants/lang";
export interface ClientOptions {
    language: Language;
    cookieManager: ClientCookieManager;
    debug: boolean;
    cacheOptions: Partial<CacheOptions>;
}
interface CacheOptions {
    maxAge: number;
    maxSize: number;
}
export declare class Client {
    dailyReward?: DailyRewards;
    gameRecordCard?: GameRecordCard;
    sprialAbyss?: SpiralAbyss;
    genshinActivity?: Activities;
    characters?: Charcters;
    genshinUser?: GenshinUser;
    realTimeNotes?: RealTimeNotes;
    travelDiary?: TravelerDiary;
    redeemCode?: RedeemCode;
    tcg?: TCG;
    private options;
    private logined;
    private cookieManager;
    /**
     * @param {ClientOptions} options - The options to use.
     */
    constructor(options?: Partial<ClientOptions>);
    login(ltuid: string, ltoken: string): Required<this>;
    addCookies(cookies: {
        ltuid: string;
        ltoken: string;
    }[]): void;
    isLogin(): this is Client & Required<this>;
    private initSweeper;
}
export {};
