import { API_URL } from "../constants/constants";
import { Language } from "../constants/lang";
interface Option {
    route?: API_URL;
    withUA?: boolean;
    withDS?: boolean;
    withExtraHeaders?: boolean;
    language?: Language;
}
interface Response<T> {
    retcode: number;
    message: string;
    data: T;
}
type Headers = Record<string, string | string[]>;
/**
 * @description Creates a new instance for the request
 */
export declare class RequestManager {
    private baseURL;
    private language;
    private headers;
    constructor(option?: Option);
    _debug(message: string | string[]): void;
    get<T = any>(url: string, headers?: Headers, params?: Record<string, string | number | boolean>): Promise<Response<T>>;
    post<T = any>(url: string, headers?: Headers, data?: Record<string, string | number[] | number | boolean>, params?: Record<string, string>): Promise<Response<T>>;
}
export {};
